%define upstream_name	 Sys-SigAction
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for Consistent Signal Handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module implements set_sig_handler(), which sets up a signal handler and
(optionally) returns an object which causes the signal handler to be reset to
the previous value, when it goes out of scope.

Also implemented is timeout_call() which takes a timeout value and a code
reference, and executes the code reference wrapped with an alarm timeout.

Finally, two convenience routines are defined which allow one to get the signal
name from the number -- sig_name(), and get the signal number from the name --
sig_number().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sys
%_mandir/man3*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.230.0-4.mga9
+ Revision: 1810258
- Mageia 9 Mass Rebuild
+ tv <tv>
- reorder logically %%check after %%install

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-3.mga8
+ Revision: 1506207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.230.0-2.mga7
+ Revision: 1286227
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 0.230.0-1.mga7
+ Revision: 1128926
- update to 0.23

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-5.mga6
+ Revision: 1033602
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.210.0-4.mga6
+ Revision: 935619
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 750318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 686293
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 585985
- update to 0.21

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 531540
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 463858
- update to 0.20

* Thu Aug 01 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 462099
- update to 0.19

* Thu Jul 25 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 457938
- update to 0.18

* Tue Jul 23 2013 sander85 <sander85> 0.170.0-1.mga4
+ Revision: 457388
- update to 0.17

* Mon Jul 22 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 457130
- update to 0.16

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 372996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 120471
- update to 0.15

* Mon Jun 27 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 114630
- update to 0.14

* Mon Jun 27 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 114497
- update to 0.13

* Tue Jun 21 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 111621
- update to 0.12

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 31216
- mageia rebuild
- imported package perl-Sys-SigAction


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 404434
- rebuild using %%perl_convert_version

* Sun Feb 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.1
+ Revision: 336237
- update to new version 0.11

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-4mdv2009.0
+ Revision: 258426
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-3mdv2009.0
+ Revision: 246493
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
+ Revision: 48946
- import perl-Sys-SigAction


* Fri Jul 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
- first mdv release 
